
File Meta-data Monitoring - Feature #1367

Output Windows file-system permissions info

06/03/2016 05:28 PM - Luke Murphey

Status: Closed Start date: 06/03/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1   

Description

http://stackoverflow.com/questions/896638/checking-folder-file-ntfs-permissions-using-python

History

#1 - 06/03/2016 05:30 PM - Luke Murphey

http://timgolden.me.uk/python/win32_how_do_i/get-the-owner-of-a-file.html

#2 - 06/04/2016 05:31 AM - Luke Murphey

Determine if file is executable: http://timgolden.me.uk/python/win32_how_do_i/tell-if-a-file-is-executable.html

#3 - 06/04/2016 05:36 AM - Luke Murphey

https://github.com/Travis-Sun/pywin32/blob/master/win32/Demos/FileSecurityTest.py

#4 - 06/04/2016 06:33 AM - Luke Murphey

- File FileSecurityTest2.py added

See attached for an example that outputs the security info.

#5 - 06/08/2016 12:59 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Files

FileSecurityTest2.py 4.79 KB 06/04/2016 Luke Murphey
